using System;
using System.Collections.Generic;
using System.Text;
using System.Xml;
using System.Xml.Schema;

namespace Veri
{
    class Veri
    {
        public void Run()
        {
            bool failed;

            // Create the XmlSchemaSet class.
            XmlSchemaSet sc = new XmlSchemaSet();

            // Add the schema to the collection.
            sc.Add(null,"Cars.xsd");

            // Set the validation settings.
            XmlReaderSettings settings = new XmlReaderSettings();
            settings.ValidationType = ValidationType.Schema;
            settings.Schemas = sc;



            // Create the XmlReader object.
            XmlReader reader = XmlReader.Create("Cars.xml", settings);

            failed = false;
            try
            {
                // Read all XML data.
                while (reader.Read())
                { }
            }
            catch (XmlSchemaValidationException err)
            {
                // This happens if the XML document includes illegal characters
                // or tags that aren't properly nested or closed.
                
                Console.WriteLine("A critical XML error has occurred.");
                Console.WriteLine(err.Message);
                failed = true;
            }
            finally
            {
                reader.Close();
            }

            if (!failed)
                Console.WriteLine("OK.");

        }
    }
    
    class Program
    {
        static void Main(string[] args)
        {
            Veri vv = new Veri();
            vv.Run();

        }
    }
}
