using System;
using System.Collections;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Web.Services;
using System.Xml;

namespace WSPogoda
{
    public partial class Form1 : Form
    {
        net.webservicex.www.GlobalWeather gw;
        XmlDocument miasta = new XmlDocument();
        XmlDocument pogoda = new XmlDocument();
        string panstwo;

        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            gw = new net.webservicex.www.GlobalWeather();

            listBox1.Items.AddRange(new object[]
            {
            "Antarctica",
            "Australia",
            "Burkina Faso",
            "Belgium",
            "Canada",
            "China",
            "Denmark",
            "Estonia",
            "France",
            "Germany",
            "Greece",
            "India",
            "Italy",
            "Japan",
            "Mexico",
            "Nepal",
            "Poland",
            "Portugal",
            "Russia",
            "South Africa",
            "Spain",
            "Sweden",
            "Thailand",
            "Uganda",
            "United Kingdom",
            "United States"});
        }

        private void button2_Click(object sender, EventArgs e)  // Miasto
        {            

            textBox1.Clear();
            textBox1.Update();

            panstwo = (string)listBox1.SelectedItem;

            if (panstwo == null)
            {
                MessageBox.Show("Wybierz Pastwo.");
                return;
            }


            string st;
           
            Cursor.Current = Cursors.WaitCursor;
            st = gw.GetCitiesByCountry(panstwo);
            Cursor.Current = Cursors.Default;

            try
            {
                miasta.LoadXml(st);
            }
            catch (XmlException er)
            {
                MessageBox.Show(er.Message);
            }

            ArrayList ar = new ArrayList();

            XmlNodeList xlist = miasta.GetElementsByTagName("City");
            foreach (XmlNode xn in xlist)
            {
                st = xn.FirstChild.Value;
                ar.Add(st); 
            }

            ar.Sort();
            listBox2.Items.AddRange(ar.ToArray());
     


        }


        private void button3_Click(object sender, EventArgs e)  // Pogoda
        {
            textBox1.Clear();
            textBox1.Update();
            
            string miasto = (string)listBox2.SelectedItem;

            if (miasto == null)
            {
                MessageBox.Show("Wybierz Miasto.");
                return;
            }

            

            string st;

            Cursor.Current = Cursors.WaitCursor;
            st = gw.GetWeather(miasto, panstwo);
            Cursor.Current = Cursors.Default;

            try
            {
                pogoda.LoadXml(st);
            }
            catch 
            {
                textBox1.Text = "Brak danych.";
                return;
            }

            List<string> ar = new List<string>();



                XmlNodeList xlist = pogoda.GetElementsByTagName("Time");
                ar.Add("Czas : ");
                if(xlist.Count != 0)
                   // ar.Add(xlist.Item(0).FirstChild.Value);
                ar.Add(xlist[0].FirstChild.Value);

                xlist = pogoda.GetElementsByTagName("Temperature");
                ar.Add("Temperatura : ");
                if (xlist.Count != 0)
                    ar.Add(xlist.Item(0).FirstChild.Value);

                xlist = pogoda.GetElementsByTagName("DewPoint");
                ar.Add("Punkt rosy : ");
                if (xlist.Count != 0)
                    ar.Add(xlist.Item(0).FirstChild.Value);

                xlist = pogoda.GetElementsByTagName("RelativeHumidity");
                ar.Add("Wilgotno : ");
                if (xlist.Count != 0)
                    ar.Add(xlist.Item(0).FirstChild.Value);

                xlist = pogoda.GetElementsByTagName("Pressure");
                ar.Add("Cinienie : ");
                if (xlist.Count != 0)
                    ar.Add(xlist.Item(0).FirstChild.Value);

                xlist = pogoda.GetElementsByTagName("Wind");
                ar.Add("Wiatr : ");
                if (xlist.Count != 0)
                    ar.Add(xlist.Item(0).FirstChild.Value);

                xlist = pogoda.GetElementsByTagName("Visibility");
                ar.Add("Widoczno : ");
                if (xlist.Count != 0)
                    ar.Add(xlist.Item(0).FirstChild.Value);

                xlist = pogoda.GetElementsByTagName("SkyConditions");
                ar.Add("Zachmurzenie : ");
                if (xlist.Count != 0)
                    ar.Add(xlist.Item(0).FirstChild.Value);

                textBox1.Lines = ar.ToArray();
        }



        private void listBox1_SelectedIndexChanged(object sender, EventArgs e)
        {
            listBox2.Items.Clear();
            textBox1.Clear();
            textBox1.Update();
        }

        private void listBox2_SelectedIndexChanged(object sender, EventArgs e)
        {
            textBox1.Clear();
            textBox1.Update();

        }

        
    }
}