using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using System.Xml;

namespace XDoc2
{
    public partial class Form1 : Form
    {
        XmlDocument xdoc;

        public Form1()
        {
            InitializeComponent();
        }

        private void button1_Click(object sender, EventArgs e)  // Load
        {
            xdoc = new XmlDocument();

            try
            {
                xdoc.Load("NaPro.xml");
            }
            catch (Exception ex)
            {
                MessageBox.Show(ex.Message);
                return;
            }

            button2.Enabled = true;
            button3.Enabled = true;

            xdoc.Save("NaPro.xml");
        }

        private void button2_Click(object sender, EventArgs e)  // Append
        {
            XmlNodeList xlist = xdoc.GetElementsByTagName("NamesProducers");
            XmlNode parent = xlist.Item(0);

            XmlNode newCar = xdoc.CreateElement("car");
            parent.AppendChild(newCar);

            XmlNode newName = xdoc.CreateElement("Name");
            newCar.AppendChild(newName);
            newName.AppendChild(xdoc.CreateTextNode("Liana"));

            XmlNode newProd = xdoc.CreateElement("Producer");
            newCar.AppendChild(newProd);
            newProd.AppendChild(xdoc.CreateTextNode("Suzuki"));

            XmlNode newID = xdoc.CreateElement("ID");
            newCar.AppendChild(newID);
            newID.AppendChild(xdoc.CreateTextNode("2"));


            xdoc.Save("App.xml");
            

            
        }

        private void button3_Click(object sender, EventArgs e)  // Delete
        {
            XmlNodeList xlist = xdoc.GetElementsByTagName("NamesProducers");
            XmlNode parent = xlist.Item(0);

            XmlNode child = parent.ChildNodes.Item(1);

            parent.RemoveChild(child);

            xdoc.Save("Del.xml");

        }
    }
}