using System;
using System.Collections.Generic;
using System.Text;
using System.Xml;

namespace XWR
{
    class Writer
    {
        public void Run()
        {
            string [,] CarList = { {"Civic",   "Honda" },
                                   {"Avensis", "Toyota"},
                                   {"Punto",   "Fiat"  } 
                                 };
            

            XmlTextWriter xw = new XmlTextWriter("NaPro.xml", Encoding.UTF8);
            xw.Indentation = 3;
            xw.IndentChar = ' ';
            xw.Formatting = Formatting.Indented;

            xw.WriteStartDocument();

            xw.WriteStartElement("NamesProducers");

            for (int i = 0; i <= CarList.GetUpperBound(0); ++i)
            {
                try
                {
                    xw.WriteStartElement("car");
                    xw.WriteElementString("Name", CarList[i, 0]);
                    xw.WriteElementString("Producer", CarList[i, 1]);
                    xw.WriteStartElement("ID");
                    xw.WriteValue(i);
                    xw.WriteEndElement();
                    xw.WriteEndElement();
                }
                catch(Exception e)
                {
                    Console.WriteLine(e.Message);
                }
            }
            xw.WriteEndElement();
            xw.Flush();
            xw.Close();


        }
    }
    class Program
    {
        static void Main(string[] args)
        {
            Writer wr = new Writer();
            wr.Run();
        }
    }
}
